Description

In my observation, some users accidentally delete an issue trying to delete last note. The misoperation is probably caused by the
current Ul of Redmine. The delete button at the bottom of IssuesController#show page looks as if it is a button for delete the last
note, but actually it is a button to deletes the issue.

Such misoperation can be prevented by making a slight change to Ul. Please see the following screenshots. By adding border
around issue history, it becomes clear that the button is not a button for deleting the note. Our company have succeeded in
significantly reducing accidents that our customers mistakenly delete an issue by implementing the change.

The patch was extracted from farend basic theme.
https://github.com/farend/redmine_theme_farend_basic

Has duplicate Redmine - Feature #28514: issue delete button confusion

Closed

Associated revisions

Revision 17366 - 2018-06-05 06:53 - Go MAEDA

Add a border around issue history to prevent accidental deletion of an issue (#26662).

Patch by Go MAEDA.

History

#1 - 2017-08-22 03:23 - Go MAEDA

- Target version set to 4.1.0

I am sure that this small Ul change would be of benefit to most users.
setting target version to 4.1.0.

#2 - 2018-04-10 11:36 - Marius BALTEANU

- Has duplicate Feature #28514: issue delete button confusion added
#3 - 2018-05-09 19:08 - Yuuki NARA

+1

| agree with this change.

It seems that, this Ul is easy to cause accident of data deletion.

Especially for those who are unfamilar with Redmine operation and those who use different systems.

This change modify only CSS.
| think that possibility of defect due to this change is low.

Notes.

Several themes Ul have no effect by this modification.
Several themes have already been applied this modification.

#4 - 2018-06-05 06:53 - Go MAEDA
- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed.

#5 - 2018-06-05 07:21 - Go MAEDA

- Status changed from New to Closed

Files

border-around-history-before@2x.png 40 KB
border-around-history-after@2x.png 38.1 KB
add_border_around_issue_history.diff 666 Bytes
